import {Client} from "./Client"
import {TextMessage} from "./message/TextMessage";

export class Command {
    constructor(public options: ICommandOption) {

    }

    handler(bot: Client, message: TextMessage, args: string[]) {}
}

export interface ICommandOption {
    name: string,
    description?: string,
    aliases?: string[]
}